varying vec4 ViewPos;
varying vec3 up;
varying vec4 projPos;

uniform sampler2D Color0;
uniform sampler2D Distance;

const float scale = 0.014;
const float bias  = 0.005;

void main()
{
  // parallax bump
  float height = scale * texture2D( Distance, gl_TexCoord[0].st ).g + bias;
  
  vec4 color;

  // color is offset
  color  = texture2D( Color0, gl_TexCoord[0].st );
 
  gl_FragData[0] = color;
}
